"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _utils = require("./utils");

var _TableContext = _interopRequireDefault(require("./TableContext"));

var CellGroup = /*#__PURE__*/_react["default"].forwardRef(function (props, ref) {
  var _withClassPrefix;

  var fixed = props.fixed,
      width = props.width,
      left = props.left,
      height = props.height,
      style = props.style,
      classPrefix = props.classPrefix,
      className = props.className,
      children = props.children,
      rest = (0, _objectWithoutPropertiesLoose2["default"])(props, ["fixed", "width", "left", "height", "style", "classPrefix", "className", "children"]);

  var _useContext = (0, _react.useContext)(_TableContext["default"]),
      translateDOMPositionXY = _useContext.translateDOMPositionXY;

  var _useClassNames = (0, _utils.useClassNames)(classPrefix),
      withClassPrefix = _useClassNames.withClassPrefix,
      merge = _useClassNames.merge;

  var classes = merge(className, withClassPrefix((_withClassPrefix = {}, _withClassPrefix["fixed-" + fixed] = fixed, _withClassPrefix.scroll = !fixed, _withClassPrefix)));
  var styles = (0, _extends2["default"])({
    width: width,
    height: height
  }, style);
  translateDOMPositionXY === null || translateDOMPositionXY === void 0 ? void 0 : translateDOMPositionXY(styles, left, 0);
  return /*#__PURE__*/_react["default"].createElement("div", (0, _extends2["default"])({}, rest, {
    ref: ref,
    className: classes,
    style: styles
  }), children);
});

CellGroup.displayName = 'Table.CellGroup';
CellGroup.propTypes = {
  fixed: _propTypes["default"].oneOf(['left', 'right']),
  width: _propTypes["default"].number,
  height: _propTypes["default"].number,
  left: _propTypes["default"].number,
  style: _propTypes["default"].object,
  className: _propTypes["default"].string,
  classPrefix: _propTypes["default"].string
};
CellGroup.defaultProps = {
  classPrefix: 'cell-group'
};
var _default = CellGroup;
exports["default"] = _default;