"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _utils = require("./utils");

var ColumnGroup = /*#__PURE__*/_react["default"].forwardRef(function (props, ref) {
  var header = props.header,
      className = props.className,
      children = props.children,
      classPrefix = props.classPrefix,
      headerHeight = props.headerHeight,
      verticalAlign = props.verticalAlign,
      width = props.width,
      groupHeightProp = props.groupHeaderHeight,
      rest = (0, _objectWithoutPropertiesLoose2["default"])(props, ["header", "className", "children", "classPrefix", "headerHeight", "verticalAlign", "width", "groupHeaderHeight"]);
  var hasGroupHeight = typeof groupHeightProp !== 'undefined';
  var groupHeight = hasGroupHeight ? groupHeightProp : headerHeight / 2;
  var restHeight = hasGroupHeight ? headerHeight - groupHeightProp : headerHeight / 2;
  var styles = {
    height: groupHeight,
    width: width
  };

  var _useClassNames = (0, _utils.useClassNames)(classPrefix),
      withClassPrefix = _useClassNames.withClassPrefix,
      merge = _useClassNames.merge,
      prefix = _useClassNames.prefix;

  var classes = merge(className, withClassPrefix());
  var contentStyles = (0, _extends2["default"])({}, styles, {
    verticalAlign: verticalAlign
  });
  return /*#__PURE__*/_react["default"].createElement("div", (0, _extends2["default"])({
    ref: ref,
    className: classes
  }, rest), /*#__PURE__*/_react["default"].createElement("div", {
    className: prefix('header'),
    style: styles
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: prefix('header-content'),
    style: contentStyles
  }, header)), _react["default"].Children.map(children, function (node) {
    return /*#__PURE__*/_react["default"].cloneElement(node, {
      className: prefix('cell'),
      predefinedStyle: {
        height: restHeight,
        top: styles.height
      },
      headerHeight: restHeight,
      verticalAlign: verticalAlign,
      children: /*#__PURE__*/_react["default"].createElement("span", {
        className: prefix('cell-content')
      }, node.props.children)
    });
  }));
});

ColumnGroup.displayName = 'Table.ColumnGroup';
ColumnGroup.defaultProps = {
  headerHeight: 80,
  classPrefix: 'column-group'
};
ColumnGroup.propTypes = {
  header: _propTypes["default"].node,
  classPrefix: _propTypes["default"].string,
  groupHeaderHeight: _propTypes["default"].number,
  verticalAlign: _propTypes["default"].oneOf(['top', 'middle', 'bottom'])
};
var _default = ColumnGroup;
exports["default"] = _default;