"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _utils = require("./utils");

var _TableContext = _interopRequireDefault(require("./TableContext"));

var Row = /*#__PURE__*/_react["default"].forwardRef(function (props, ref) {
  var className = props.className,
      width = props.width,
      height = props.height,
      top = props.top,
      style = props.style,
      isHeaderRow = props.isHeaderRow,
      headerHeight = props.headerHeight,
      rowRef = props.rowRef,
      classPrefix = props.classPrefix,
      children = props.children,
      rowSpan = props.rowSpan,
      rest = (0, _objectWithoutPropertiesLoose2["default"])(props, ["className", "width", "height", "top", "style", "isHeaderRow", "headerHeight", "rowRef", "classPrefix", "children", "rowSpan"]);

  var _useContext = (0, _react.useContext)(_TableContext["default"]),
      translateDOMPositionXY = _useContext.translateDOMPositionXY;

  var _useClassNames = (0, _utils.useClassNames)(classPrefix),
      withClassPrefix = _useClassNames.withClassPrefix,
      merge = _useClassNames.merge;

  var classes = merge(className, withClassPrefix({
    header: isHeaderRow,
    rowspan: rowSpan
  }));
  var styles = (0, _extends2["default"])({
    minWidth: width,
    height: isHeaderRow ? headerHeight : height
  }, style);
  translateDOMPositionXY === null || translateDOMPositionXY === void 0 ? void 0 : translateDOMPositionXY(styles, 0, top);
  return /*#__PURE__*/_react["default"].createElement("div", (0, _extends2["default"])({
    role: "row"
  }, rest, {
    ref: (0, _utils.mergeRefs)(rowRef, ref),
    className: classes,
    style: styles
  }), children);
});

Row.displayName = 'Table.Row';
Row.defaultProps = {
  classPrefix: 'row',
  height: 46,
  headerHeight: 40
};
Row.propTypes = {
  width: _propTypes["default"].number,
  height: _propTypes["default"].number,
  headerHeight: _propTypes["default"].number,
  top: _propTypes["default"].number,
  isHeaderRow: _propTypes["default"].bool,
  rowRef: _propTypes["default"].oneOfType([_propTypes["default"].func, _propTypes["default"].object]),
  className: _propTypes["default"].string,
  classPrefix: _propTypes["default"].string,
  style: _propTypes["default"].object,
  rowSpan: _propTypes["default"].number
};
var _default = Row;
exports["default"] = _default;