import React from 'react';
import type { ScrollbarInstance } from '../Scrollbar';
import type { RowDataType } from '../@types/common';
interface ScrollListenerProps {
    rtl: boolean;
    data: RowDataType[];
    children: React.ReactNode;
    height: number;
    getTableHeight: () => number;
    contentHeight: React.RefObject<number>;
    headerHeight: number;
    autoHeight: boolean;
    tableBodyRef: React.RefObject<HTMLDivElement>;
    scrollbarXRef: React.RefObject<ScrollbarInstance>;
    scrollbarYRef: React.RefObject<ScrollbarInstance>;
    disabledScroll: boolean;
    loading: boolean;
    tableRef: React.RefObject<HTMLDivElement>;
    contentWidth: React.RefObject<number>;
    tableWidth: React.RefObject<number>;
    scrollY: React.RefObject<number>;
    minScrollY: React.RefObject<number>;
    minScrollX: React.RefObject<number>;
    scrollX: React.RefObject<number>;
    setScrollX: (v: number) => void;
    setScrollY: (v: number) => void;
    virtualized: boolean;
    forceUpdatePosition: () => void;
    onScroll: (scrollX: number, scrollY: number) => void;
    onTouchStart?: (event: React.TouchEvent) => void;
    onTouchMove?: (event: React.TouchEvent) => void;
}
/**
 * Add scroll, touch, and wheel monitoring events to the table,
 * and update the scroll position of the table.
 * @param props
 * @returns
 */
declare const useScrollListener: (props: ScrollListenerProps) => {
    isScrolling: boolean;
    handleHorizontalScroll: (delta: number) => void;
    handleVerticalScroll: (delta: number) => void;
    handleBodyScroll: (event: any) => void;
    handleScrollTop: (top?: number) => void;
    handleScrollLeft: (left?: number) => void;
    handleScrollTo: (coord: {
        x: number;
        y: number;
    }) => void;
};
export default useScrollListener;
